Validate this workflow's draft (or a candidate definition)
POST
/automation/{id}/validate
Validates as the workflow OWNER.
Path Parameters
idstring
required·
Resource id
Request Body
definition
Response Body
issuesobject[]
codestring
Stable id of the rule that raised it (bp_... for a best-practice warning).
fieldstring
fixstring
One plain sentence on how to clear it.
messagestring
severitystring
Possible values:
errorwarning
stepstring,null
publish_requires
tierstring,null
curl -X POST 'https://api.elaichi.ai/automation/<id>/validate' \
-H 'Authorization: Bearer $ELAICHI_API_TOKEN' \
-H 'Content-Type: application/json' \
-d '{}'const body = {};
const response = await fetch('https://api.elaichi.ai/automation/<id>/validate', {
method: 'POST',
headers: {
'Authorization': 'Bearer ' + process.env.ELAICHI_API_TOKEN,
'Content-Type': 'application/json',
},
body: JSON.stringify(body),
});
const data = await response.json();
console.log(data);import os
import requests
url = "https://api.elaichi.ai/automation/<id>/validate"
headers = {
"Authorization": f"Bearer {os.environ['ELAICHI_API_TOKEN']}",
"Content-Type": "application/json",
}
payload = {}
response = requests.post(url, headers=headers, json=payload)
print(response.json())